Bug 1293548 - [virtio-win][WHQL][viostor]Several tests fail with PCI-to-PCI bridge device
[virtio-win][WHQL][viostor]Several tests fail with PCI-to-PCI bridge device
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks: 1401400
  Show dependency treegraph
 
Reported: 2015-12-22 01:03 EST by Yu Wang
Modified: 2017-10-09 14:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yu Wang 2015-12-22 01:03:03 EST
Description of problem:
Several tests fail with bridge to bridge pci device

Failed jobs:
* PCI Hardware Compliance Test For a Single Device(PCIHCT)
* Storage Qurey Property(LOGO)
* Storage Imports Test(LOGO)
* Flush Test
* Disk verification
* Disk Stress

Version-Release number of selected component (if applicable):

kernel-3.10.0-335.el7.x86_64
qemu-kvm-rhev-2.3.0-31.el7.x86_64
virtio-win-prewhql-112

How reproducible:

3/3

Steps to Reproduce:
1.boot w/ cli

/usr/libexec/qemu-kvm -name 112BLKWIN732IVU -enable-kvm -m 2G -smp 2 -uuid 2195975f-db0b-4cee-90d3-ae0399fab204 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/112BLKWIN732IVU,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=112BLKWIN732IVU,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_7_ultimate_with_sp1_x86_dvd_u_677460.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=112BLKWIN732IVU.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=00:52:29:0a:30:f9,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:0 -vga cirrus -object iothread,id=thread0 -drive file=112BLKWIN732IVU_test.raw,if=none,id=drive-virtio-disk0,format=raw,serial=mike_cao,cache=none -device pci-bridge,id=bridge1,chassis_nr=1,bus=pci.0 -device virtio-blk-pci,iothread=thread0,scsi=off,bus=bridge1,addr=0x7,drive=drive-virtio-disk0,id=virtio-disk0 -monitor stdio

2. run job above
3.

Actual results:
Job failed

Expected results:
All pass

Additional info:

1 run w/ none bridge-to-bridge pci , all job can pass
2 run w/ bridge-to-bridge pci win8-32/win2012R2/win8.1-64 pass all jobs can pass
Comment 3 Yu Wang 2015-12-22 01:28:24 EST
win7-32 and win8-64 hit this issue
Comment 4 Yu Wang 2015-12-22 21:55:15 EST
win2008-32 hit similar issue

failed case:

* IFS Test For Storage Logo
* Syscache Test
* Disk Stress
* Disk Verification


Thanks
wyu
Comment 5 Peixiu Hou 2015-12-22 22:16:26 EST
Windows 8.1-32 hit similar issues

Failed jobs:
* PCI Hardware Compliance Test For a Single Device(PCIHCT)
* Storage Qurey Property(LOGO)
* Storage Imports Test(LOGO)
* Flush Test
* Disk verification
* Disk Stress


Best regards!
Peixiu Hou
Comment 7 Vadim Rozenfeld 2016-02-10 04:59:49 EST
(In reply to Peixiu Hou from comment #5)
> Windows 8.1-32 hit similar issues
> 
> Failed jobs:
> * PCI Hardware Compliance Test For a Single Device(PCIHCT)
> * Storage Qurey Property(LOGO)
> * Storage Imports Test(LOGO)
> * Flush Test
> * Disk verification
> * Disk Stress
> 
> 
> Best regards!
> Peixiu Hou

Thanks a lot.

Can we try reproducing the same problems after moving viostor to the primary PCI bus?
Comment 8 lijin 2016-02-13 20:53:32 EST
(In reply to Vadim Rozenfeld from comment #7)
> (In reply to Peixiu Hou from comment #5)
> > Windows 8.1-32 hit similar issues
> > 
> > Failed jobs:
> > * PCI Hardware Compliance Test For a Single Device(PCIHCT)
> > * Storage Qurey Property(LOGO)
> > * Storage Imports Test(LOGO)
> > * Flush Test
> > * Disk verification
> > * Disk Stress
> > 
> > 
> > Best regards!
> > Peixiu Hou
> 
> Thanks a lot.
> 
> Can we try reproducing the same problems after moving viostor to the primary
> PCI bus?

according to comment#0,"run w/ none bridge-to-bridge pci , all job can pass":can NOT reproduce this issue under the primary PCI bus.
Comment 9 Amnon Ilan 2017-01-12 04:38:26 EST
This seems like non real world (test only), and seems like an issue in the QEMU side.
Moving to 7.5 for now (may move it to QEMU later).

Note You need to log in before you can comment on or make changes to this bug.